/**
 * vis-util
 * https://github.com/visjs/vis-util
 *
 * utilitie collection for visjs
 *
 * @version 4.0.0
 * @date    2020-02-29T15:35:13.178Z
 *
 * @copyright (c) 2011-2017 Almende B.V, http://almende.com
 * @copyright (c) 2017-2019 visjs contributors, https://github.com/visjs
 *
 * @license
 * vis.js is dual licensed under both
 *
 *   1. The Apache 2.0 License
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *   and
 *
 *   2. The MIT License
 *      http://opensource.org/licenses/MIT
 *
 * vis.js may be distributed under either license.
 */
!function(e,t){"object"==typeof exports&&"undefined"!=typeof module?t(exports):"function"==typeof define&&define.amd?define(["exports"],t):t((e=e||self).vis=e.vis||{})}(this,(function(e){"use strict";const t=/^\/?Date\((-?\d+)/i,r=/^#?([a-f\d]{2})([a-f\d]{2})([a-f\d]{2})$/i,n=/^#?([a-f\d])([a-f\d])([a-f\d])$/i,o=/^rgb\( *(1?\d{1,2}|2[0-4]\d|25[0-5]) *, *(1?\d{1,2}|2[0-4]\d|25[0-5]) *, *(1?\d{1,2}|2[0-4]\d|25[0-5]) *\)$/i,i=/^rgba\( *(1?\d{1,2}|2[0-4]\d|25[0-5]) *, *(1?\d{1,2}|2[0-4]\d|25[0-5]) *, *(1?\d{1,2}|2[0-4]\d|25[0-5]) *, *([01]|0?\.\d+) *\)$/i;function u(e){return e instanceof Number||"number"==typeof e}function c(e){return e instanceof String||"string"==typeof e}function l(e){return"object"==typeof e&&null!==e}function a(e,t,r,n){let o=!1;!0===n&&(o=null===t[r]&&void 0!==e[r]),o?delete e[r]:e[r]=t[r]}const s=Object.assign;function f(e,t,r=!1,n=!1){for(const o in t)(Object.prototype.hasOwnProperty.call(t,o)||!0===r)&&("object"==typeof t[o]&&null!==t[o]&&Object.getPrototypeOf(t[o])===Object.prototype?void 0===e[o]?e[o]=f({},t[o],r):"object"==typeof e[o]&&null!==e[o]&&Object.getPrototypeOf(e[o])===Object.prototype?f(e[o],t[o],r):a(e,t,o,n):Array.isArray(t[o])?e[o]=t[o].slice():a(e,t,o,n));return e}const d=Object.values;const h={asBoolean:(e,t)=>("function"==typeof e&&(e=e()),null!=e?0!=e:t||null),asNumber:(e,t)=>("function"==typeof e&&(e=e()),null!=e?Number(e)||t||null:t||null),asString:(e,t)=>("function"==typeof e&&(e=e()),null!=e?String(e):t||null),asSize:(e,t)=>("function"==typeof e&&(e=e()),c(e)?e:u(e)?e+"px":t||null),asElement:(e,t)=>("function"==typeof e&&(e=e()),e||t||null)};function b(e){let t;switch(e.length){case 3:case 4:return t=n.exec(e),t?{r:parseInt(t[1]+t[1],16),g:parseInt(t[2]+t[2],16),b:parseInt(t[3]+t[3],16)}:null;case 6:case 7:return t=r.exec(e),t?{r:parseInt(t[1],16),g:parseInt(t[2],16),b:parseInt(t[3],16)}:null;default:return null}}function g(e,t,r){return"#"+((1<<24)+(e<<16)+(t<<8)+r).toString(16).slice(1)}function p(e,t,r){e/=255,t/=255,r/=255;const n=Math.min(e,Math.min(t,r)),o=Math.max(e,Math.max(t,r));return n===o?{h:0,s:0,v:n}:{h:60*((e===n?3:r===n?1:5)-(e===n?t-r:r===n?e-t:r-e)/(o-n))/360,s:(o-n)/o,v:o}}const y={split(e){const t={};return e.split(";").forEach(e=>{if(""!=e.trim()){const r=e.split(":"),n=r[0].trim(),o=r[1].trim();t[n]=o}}),t},join:e=>Object.keys(e).map((function(t){return t+": "+e[t]})).join("; ")};function v(e,t,r){let n,o,i;const u=Math.floor(6*e),c=6*e-u,l=r*(1-t),a=r*(1-c*t),s=r*(1-(1-c)*t);switch(u%6){case 0:n=r,o=s,i=l;break;case 1:n=a,o=r,i=l;break;case 2:n=l,o=r,i=s;break;case 3:n=l,o=a,i=r;break;case 4:n=s,o=l,i=r;break;case 5:n=r,o=l,i=a}return{r:Math.floor(255*n),g:Math.floor(255*o),b:Math.floor(255*i)}}function m(e,t,r){const n=v(e,t,r);return g(n.r,n.g,n.b)}function O(e){const t=b(e);if(!t)throw new TypeError(`'${e}' is not a valid color.`);return p(t.r,t.g,t.b)}function j(e){return/(^#[0-9A-F]{6}$)|(^#[0-9A-F]{3}$)/i.test(e)}function x(e){return o.test(e)}function w(e){if(null===e||"object"!=typeof e)return null;if(e instanceof Element)return e;const t=Object.create(e);for(const r in e)Object.prototype.hasOwnProperty.call(e,r)&&"object"==typeof e[r]&&(t[r]=w(e[r]));return t}const A={linear:e=>e,easeInQuad:e=>e*e,easeOutQuad:e=>e*(2-e),easeInOutQuad:e=>e<.5?2*e*e:(4-2*e)*e-1,easeInCubic:e=>e*e*e,easeOutCubic:e=>--e*e*e+1,easeInOutCubic:e=>e<.5?4*e*e*e:(e-1)*(2*e-2)*(2*e-2)+1,easeInQuart:e=>e*e*e*e,easeOutQuart:e=>1- --e*e*e*e,easeInOutQuart:e=>e<.5?8*e*e*e*e:1-8*--e*e*e*e,easeInQuint:e=>e*e*e*e*e,easeOutQuint:e=>1+--e*e*e*e*e,easeInOutQuint:e=>e<.5?16*e*e*e*e*e:1+16*--e*e*e*e*e};e.Alea=function(...e){return function(e){let[t,r,n]=function(...e){const t=function(){let e=4022871197;return function(t){const r=t.toString();for(let t=0;t<r.length;t++){e+=r.charCodeAt(t);let n=.02519603282416938*e;e=n>>>0,n-=e,n*=e,e=n>>>0,n-=e,e+=4294967296*n}return 2.3283064365386963e-10*(e>>>0)}}();let r=t(" "),n=t(" "),o=t(" ");for(let i=0;i<e.length;i++)r-=t(e[i]),r<0&&(r+=1),n-=t(e[i]),n<0&&(n+=1),o-=t(e[i]),o<0&&(o+=1);return[r,n,o]}(e),o=1;const i=()=>{const e=2091639*t+2.3283064365386963e-10*o;return t=r,r=n,n=e-(o=0|e)};return i.uint32=()=>4294967296*i(),i.fract53=()=>i()+11102230246251565e-32*(2097152*i()|0),i.algorithm="Alea",i.seed=e,i.version="0.9",i}(e.length?e:[Date.now()])},e.HSVToHex=m,e.HSVToRGB=v,e.RGBToHSV=p,e.RGBToHex=g,e.addClassName=function(e,t){let r=e.className.split(" ");const n=t.split(" ");r=r.concat(n.filter((function(e){return r.indexOf(e)<0}))),e.className=r.join(" ")},e.addCssText=function(e,t){const r={...y.split(e.style.cssText),...y.split(t)};e.style.cssText=y.join(r)},e.addEventListener=function(e,t,r,n){e.addEventListener?(void 0===n&&(n=!1),"mousewheel"===t&&navigator.userAgent.indexOf("Firefox")>=0&&(t="DOMMouseScroll"),e.addEventListener(t,r,n)):e.attachEvent("on"+t,r)},e.binarySearchCustom=function(e,t,r,n){let o=0,i=0,u=e.length-1;for(;i<=u&&o<1e4;){const c=Math.floor((i+u)/2),l=e[c],a=t(void 0===n?l[r]:l[r][n]);if(0==a)return c;-1==a?i=c+1:u=c-1,o++}return-1},e.binarySearchValue=function(e,t,r,n,o){let i,u,c,l,a=0,s=0,f=e.length-1;for(o=null!=o?o:function(e,t){return e==t?0:e<t?-1:1};s<=f&&a<1e4;){if(l=Math.floor(.5*(f+s)),i=e[Math.max(0,l-1)][r],u=e[l][r],c=e[Math.min(e.length-1,l+1)][r],0==o(u,t))return l;if(o(i,t)<0&&o(u,t)>0)return"before"==n?Math.max(0,l-1):l;if(o(u,t)<0&&o(c,t)>0)return"before"==n?l:Math.min(e.length-1,l+1);o(u,t)<0?s=l+1:f=l-1,a++}return-1},e.bridgeObject=w,e.copyAndExtendArray=function(e,t){return[...e,t]},e.copyArray=function(e){return e.slice()},e.deepExtend=f,e.easingFunctions=A,e.equalArray=function(e,t){if(e.length!==t.length)return!1;for(let r=0,n=e.length;r<n;r++)if(e[r]!=t[r])return!1;return!0},e.extend=s,e.fillIfDefined=function e(t,r,n=!1){for(const o in t)if(void 0!==r[o])if(null===r[o]||"object"!=typeof r[o])a(t,r,o,n);else{const i=t[o],u=r[o];l(i)&&l(u)&&e(i,u,n)}},e.forEach=function(e,t){if(Array.isArray(e)){const r=e.length;for(let n=0;n<r;n++)t(e[n],n,e)}else for(const r in e)Object.prototype.hasOwnProperty.call(e,r)&&t(e[r],r,e)},e.getAbsoluteLeft=function(e){return e.getBoundingClientRect().left},e.getAbsoluteRight=function(e){return e.getBoundingClientRect().right},e.getAbsoluteTop=function(e){return e.getBoundingClientRect().top},e.getScrollBarWidth=function(){const e=document.createElement("p");e.style.width="100%",e.style.height="200px";const t=document.createElement("div");t.style.position="absolute",t.style.top="0px",t.style.left="0px",t.style.visibility="hidden",t.style.width="200px",t.style.height="150px",t.style.overflow="hidden",t.appendChild(e),document.body.appendChild(t);const r=e.offsetWidth;t.style.overflow="scroll";let n=e.offsetWidth;return r==n&&(n=t.clientWidth),document.body.removeChild(t),r-n},e.getTarget=function(e=window.event){let t=null;return e&&(e.target?t=e.target:e.srcElement&&(t=e.srcElement)),t instanceof Element&&(null==t.nodeType||3!=t.nodeType||(t=t.parentNode,t instanceof Element))?t:null},e.getType=function(e){const t=typeof e;return"object"===t?null===e?"null":e instanceof Boolean?"Boolean":e instanceof Number?"Number":e instanceof String?"String":Array.isArray(e)?"Array":e instanceof Date?"Date":"Object":"number"===t?"Number":"boolean"===t?"Boolean":"string"===t?"String":void 0===t?"undefined":t},e.hasParent=function(e,t){let r=e;for(;r;){if(r===t)return!0;if(!r.parentNode)return!1;r=r.parentNode}return!1},e.hexToHSV=O,e.hexToRGB=b,e.insertSort=function(e,t){for(let r=0;r<e.length;r++){const n=e[r];let o;for(o=r;o>0&&t(n,e[o-1])<0;o--)e[o]=e[o-1];e[o]=n}return e},e.isDate=function(e){if(e instanceof Date)return!0;if(c(e)){if(t.exec(e))return!0;if(!isNaN(Date.parse(e)))return!0}return!1},e.isNumber=u,e.isObject=l,e.isString=c,e.isValidHex=j,e.isValidRGB=x,e.isValidRGBA=function(e){return i.test(e)},e.mergeOptions=function(e,t,r,n={}){const o=function(e){return null!=e},i=function(e){return null!==e&&"object"==typeof e};if(!i(e))throw new Error("Parameter mergeTarget must be an object");if(!i(t))throw new Error("Parameter options must be an object");if(!o(r))throw new Error("Parameter option must have a value");if(!i(n))throw new Error("Parameter globalOptions must be an object");const u=t[r],c=i(n)&&!function(e){for(const t in e)if(Object.prototype.hasOwnProperty.call(e,t))return!1;return!0}(n)?n[r]:void 0,l=c?c.enabled:void 0;if(void 0===u)return;if("boolean"==typeof u)return i(e[r])||(e[r]={}),void(e[r].enabled=u);if(null===u&&!i(e[r])){if(!o(c))return;e[r]=Object.create(c)}if(!i(u))return;let a=!0;void 0!==u.enabled?a=u.enabled:void 0!==l&&(a=c.enabled),function(e,t,r){i(e[r])||(e[r]={});const n=t[r],o=e[r];for(const e in n)Object.prototype.hasOwnProperty.call(n,e)&&(o[e]=n[e])}(e,t,r),e[r].enabled=a},e.option=h,e.overrideOpacity=function(e,t){if(-1!==e.indexOf("rgba"))return e;if(-1!==e.indexOf("rgb")){const r=e.substr(e.indexOf("(")+1).replace(")","").split(",");return"rgba("+r[0]+","+r[1]+","+r[2]+","+t+")"}{const r=b(e);return null==r?e:"rgba("+r.r+","+r.g+","+r.b+","+t+")"}},e.parseColor=function(e,t){if(c(e)){let t=e;if(x(t)){const e=t.substr(4).substr(0,t.length-5).split(",").map((function(e){return parseInt(e)}));t=g(e[0],e[1],e[2])}if(!0===j(t)){const e=O(t),r={h:e.h,s:.8*e.s,v:Math.min(1,1.02*e.v)},n={h:e.h,s:Math.min(1,1.25*e.s),v:.8*e.v},o=m(n.h,n.s,n.v),i=m(r.h,r.s,r.v);return{background:t,border:o,highlight:{background:i,border:o},hover:{background:i,border:o}}}return{background:t,border:t,highlight:{background:t,border:t},hover:{background:t,border:t}}}if(t){return{background:e.background||t.background,border:e.border||t.border,highlight:c(e.highlight)?{border:e.highlight,background:e.highlight}:{background:e.highlight&&e.highlight.background||t.highlight.background,border:e.highlight&&e.highlight.border||t.highlight.border},hover:c(e.hover)?{border:e.hover,background:e.hover}:{border:e.hover&&e.hover.border||t.hover.border,background:e.hover&&e.hover.background||t.hover.background}}}return{background:e.background||void 0,border:e.border||void 0,highlight:c(e.highlight)?{border:e.highlight,background:e.highlight}:{background:e.highlight&&e.highlight.background||void 0,border:e.highlight&&e.highlight.border||void 0},hover:c(e.hover)?{border:e.hover,background:e.hover}:{border:e.hover&&e.hover.border||void 0,background:e.hover&&e.hover.background||void 0}}},e.preventDefault=function(e){e||(e=window.event),e&&(e.preventDefault?e.preventDefault():e.returnValue=!1)},e.recursiveDOMDelete=function e(t){if(t)for(;!0===t.hasChildNodes();){const r=t.firstChild;r&&(e(r),t.removeChild(r))}},e.removeClassName=function(e,t){let r=e.className.split(" ");const n=t.split(" ");r=r.filter((function(e){return n.indexOf(e)<0})),e.className=r.join(" ")},e.removeCssText=function(e,t){const r=y.split(e.style.cssText),n=y.split(t);for(const e in n)Object.prototype.hasOwnProperty.call(n,e)&&delete r[e];e.style.cssText=y.join(r)},e.removeEventListener=function(e,t,r,n){e.removeEventListener?(void 0===n&&(n=!1),"mousewheel"===t&&navigator.userAgent.indexOf("Firefox")>=0&&(t="DOMMouseScroll"),e.removeEventListener(t,r,n)):e.detachEvent("on"+t,r)},e.selectiveBridgeObject=function(e,t){if(null!==t&&"object"==typeof t){const r=Object.create(t);for(let n=0;n<e.length;n++)Object.prototype.hasOwnProperty.call(t,e[n])&&"object"==typeof t[e[n]]&&(r[e[n]]=w(t[e[n]]));return r}return null},e.selectiveDeepExtend=function(e,t,r,n=!1){if(Array.isArray(r))throw new TypeError("Arrays are not supported by deepExtend");for(let o=0;o<e.length;o++){const i=e[o];if(Object.prototype.hasOwnProperty.call(r,i))if(r[i]&&r[i].constructor===Object)void 0===t[i]&&(t[i]={}),t[i].constructor===Object?f(t[i],r[i],!1,n):a(t,r,i,n);else{if(Array.isArray(r[i]))throw new TypeError("Arrays are not supported by deepExtend");a(t,r,i,n)}}return t},e.selectiveExtend=function(e,t,...r){if(!Array.isArray(e))throw new Error("Array with property names expected as first argument");for(const n of r)for(let r=0;r<e.length;r++){const o=e[r];n&&Object.prototype.hasOwnProperty.call(n,o)&&(t[o]=n[o])}return t},e.selectiveNotDeepExtend=function(e,t,r,n=!1){if(Array.isArray(r))throw new TypeError("Arrays are not supported by deepExtend");for(const o in r)if(Object.prototype.hasOwnProperty.call(r,o)&&-1===e.indexOf(o))if(r[o]&&r[o].constructor===Object)void 0===t[o]&&(t[o]={}),t[o].constructor===Object?f(t[o],r[o]):a(t,r,o,n);else if(Array.isArray(r[o])){t[o]=[];for(let e=0;e<r[o].length;e++)t[o].push(r[o][e])}else a(t,r,o,n);return t},e.throttle=function(e){let t=!1;return()=>{t||(t=!0,requestAnimationFrame(()=>{t=!1,e()}))}},e.toArray=d,e.topMost=function(e,t){let r;Array.isArray(t)||(t=[t]);for(const n of e)if(n){r=n[t[0]];for(let e=1;e<t.length;e++)r&&(r=r[t[e]]);if(void 0!==r)break}return r},e.updateProperty=function(e,t,r){return e[t]!==r&&(e[t]=r,!0)},Object.defineProperty(e,"__esModule",{value:!0})}));
//# sourceMappingURL=vis-util.min.js.map
